{
  "name": "frontend",
  "private": true,
  "type": "module",
  "version": "0.0.0",
  "scripts": {
    "dev": "vite",
    "build": "run-p type-check \"build-only {@}\" --",
    "preview": "vite preview",
    "build-only": "vite build",
    "type-check": "vue-tsc --build --force"
  },
  "dependencies": {
    "@fontsource/roboto": "^5.2.10",
    "@mdi/font": "7.4.47",
    "@xterm/addon-fit": "^0.11.0",
    "@xterm/addon-web-links": "^0.12.0",
    "@xterm/xterm": "^6.0.0",
    "monaco-editor": "^0.55.1",
    "pinia": "^3.0.4",
    "vue": "^3.5.30",
    "vue-router": "^4.6.4",
    "vuetify": "^4.0.2"
  },
  "devDependencies": {
    "@tsconfig/node22": "^22.0.5",
    "@types/node": "^24.12.0",
    "@vitejs/plugin-vue": "^6.0.5",
    "@vue/tsconfig": "^0.9.0",
    "npm-run-all2": "^8.0.4",
    "playwright": "^1.60.0",
    "sass-embedded": "^1.98.0",
    "typescript": "~5.9.3",
    "unplugin-fonts": "^1.4.0",
    "vite": "^8.0.0",
    "vite-plugin-vuetify": "^2.1.3",
    "vue-tsc": "^3.2.5"
  },
  "overrides": {
    "unplugin-fonts": {
      "vite": "^8.0.0"
    }
  }
}
